# -*- coding: utf-8 -*-
# type: ignore
from __future__ import annotations

from keep_it_secret import LiteralField, SecretsField

from hotpocket_backend.secrets.webapp import WebAppSecrets

# isort: off
from .common import (
    DockerCelerySecrets,
    DockerDatabaseSecrets,
    DockerOIDCSecrets,
)
# isort: on


class DockerWebAppSecrets(WebAppSecrets):
    SECRET_KEY: str = LiteralField.new('thisisntright')

    DATABASE: DockerDatabaseSecrets = SecretsField.new(DockerDatabaseSecrets)
    CELERY: DockerCelerySecrets = SecretsField.new(DockerCelerySecrets)

    OIDC: DockerOIDCSecrets = SecretsField.new(DockerOIDCSecrets)


__secrets__ = DockerWebAppSecrets()
